Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
auto-settlements
/
rules
Master Wallet Create Rule
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "destination": {},
  "isActive": true,
  "isGateway": true,
  "name": "Swap from USDC to Gateway",
  "order": "FASTEST",
  "slippageTolerance": "5",
  "source": {
    "assets": [
      "USDC"
    ],
    "maxAmount": "1000",
    "minAmount": "1"
  }
}
'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules"

payload = {
"destination": {},
"isActive": True,
"isGateway": True,
"name": "Swap from USDC to Gateway",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": ["USDC"],
"maxAmount": "1000",
"minAmount": "1"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: {},
isActive: true,
isGateway: true,
name: 'Swap from USDC to Gateway',
order: 'FASTEST',
slippageTolerance: '5',
source: {assets: ['USDC'], maxAmount: '1000', minAmount: '1'}
})
};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "destination": {
      "address": "0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE",
      "asset": "USDC",
      "blockchain": "base"
    },
    "id": "586db9b9-a6d8-4185-af72-395f21254eaf",
    "isActive": true,
    "isGateway": true,
    "name": "Swap from USDC to Gateway",
    "order": "FASTEST",
    "slippageTolerance": "5",
    "source": {
      "assets": [
        "USDC"
      ],
      "blockchain": "base",
      "maxAmount": "1000",
      "minAmount": "1"
    }
  },
  "message": "Auto settlement rule created successfully",
  "statusCode": 201
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"{{walletId}}"

Body

application/json
destination
object
isActive
boolean
Example:

true

isGateway
boolean
Example:

true

name
string
Example:

"Swap from USDC to Gateway"

order
string
Example:

"FASTEST"

slippageTolerance
string
Example:

"5"

source
object

Response

200 - application/json

Regular 200 / Gateway 200

data
object
message
string
Example:

"Auto settlement rule created successfully"

statusCode
number
Example:

201